import { baseUrl } from "../../../request";
import { globalImgUrl } from '../../../request';
// pages/personCenter/commissionSetting/commissionSetting.js
Page({

    /**
   * 生命周期函数--监听页面加载
   */
  onLoad() {
    this.getProjectList()
    this.getFixedRate()
  },


  /**
   * 页面的初始数据
   */
  data: {
    projectList: [], // 项目列表
    projectId: 0,  // 项目ID
    maxCommissionRate: 0, //  最大抽佣比率
    showPopup: false,  // 控制弹窗显隐
    LodingHidden: true, // 控制加载框取消
    showCommissionRatePop: false,
    nowMyUnitPrice: 0, // 现在的‘我的单价’，用于传给弹窗
    nowCommissionRate: 0,  // 现在的'抽成比例', 用于传给弹窗
    nowAgentUnitPrice: 0, // 现在的‘代理单价’,用于传给弹窗
    nowProjectDetailName: '', // 现在的‘项目详细名称’，用于传给弹窗 
    isSub: false, // 用于区分是项目抽佣页面还是单个用户抽佣页面
    fixedRate: 0,  //  固定抽佣——一键设置
    globalImgUrl,
  },

  // 获取项目列表
  getProjectList() {
    wx.request({
      url: baseUrl + '/projectCommission/query/commission',
      method: 'POST',
      header: {
        Authorization: wx.getStorageSync('token'),
      },
      success: res => {
        if (res.data.code === 1) {
          console.log('项目列表---->',res.data.data);
          this.setData({
            projectList: res.data.data
          })
        }
      }
    })
  },

  // 显示弹窗
  showPopup() {
    this.setData({
      showPopup: true
    });
  },

  // 关闭弹窗
  closePopup() {
    this.setData({
      showPopup: false
    });
  },

  // 处理抽佣比例提交
  handleCommissionSubmit(e) {
    // 你可以在这里保存提交的数据，或者执行其他操作
    this.getProjectList()
    this.getFixedRate()
    this.closePopup();  // 确认后关闭弹窗
  },

  // 获取一键抽佣比例
  getFixedRate() {
    wx.request({
      url: baseUrl + '/userInfo/get/main/jwt',
      method: 'GET',
      header: {
        Authorization: wx.getStorageSync('token')
      },
      success: res => {
        console.log('一键抽佣--->',res.data);
        if ( res.data.code === 1 ) {
          this.setData({
            fixedRate: res.data.data.uniteRate,
          })
        }
      }
    })
  },

  // 点击“设价”按钮，显示弹窗
  showCommissionRatePop(e) {
    console.log('弹窗传值----->',e);
    this.setData({
      nowCommissionRate: e.currentTarget.dataset.currentcommissionrate,
      nowMyUnitPrice: e.currentTarget.dataset.nowmyunitprice,
      nowAgentUnitPrice: e.currentTarget.dataset.agentunitprice,
      nowProjectDetailName: e.currentTarget.dataset.projectdetailname,
      projectId: e.currentTarget.dataset.detailid,
      maxCommissionRate: e.currentTarget.dataset.maxcommissionrate,
    })

    this.setData({ showCommissionRatePop: true });
  },

  // 关闭弹窗（包括遮罩点击和取消按钮）
  closeCommissionRatePop() {
    this.setData({ showCommissionRatePop: false });
  },

  // 确认按钮回调
  handleCommissionRateConfirm(e) {
    this.getProjectList()
    this.closeCommissionRatePop();
  },

  // 跳转下级单价页面
  gotoSubCommission(e) {
    // console.log('e---->',e.currentTarget.dataset.id);
    const id = e.currentTarget.dataset.id;
    wx.navigateTo({
      url: `/pages/personCenter/subCommissionSetting/subCommissionSetting?id=${ id }`,
    })
  },
  
  /**
* 页面相关事件处理函数--监听用户下拉动作
*/
onPullDownRefresh: function () {
  this.onRefresh();
},
onRefresh:function(){
  //导航条加载动画
  wx.showNavigationBarLoading()
  //loading 提示框
  wx.showLoading({
    title: '加载中...',
  })
  console.log("下拉刷新啦");
  this.onLoad()
  setTimeout(function () {
    wx.hideLoading();
    wx.hideNavigationBarLoading();
    //停止下拉刷新
    wx.stopPullDownRefresh();
  }, 1000)
},

})